> ## Documentation Index
> Fetch the complete documentation index at: https://blackbox.dasha.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get capabilities of available models



## OpenAPI

````yaml https://blackbox.dasha.ai/swagger/v1/swagger.json get /api/v1/rag/misc/capabilities
openapi: 3.0.4
info:
  title: Dasha BlackBox Agent API
  description: API for managing AI agents and calls
  contact:
    name: DashaAI Team
    email: support@dasha.ai
  version: v1
servers:
  - url: https://blackbox.dasha.ai
    description: Dasha BlackBox Agent API
security:
  - {}
  - {}
tags:
  - name: ActivityLogs
  - name: Agents
  - name: CallResults
  - name: Calls
  - name: Chats
  - name: CustomerData
  - name: Mcp
  - name: Media
  - name: Misc
  - name: PronunciationDictionaries
  - name: Providers
  - name: SipAliases
  - name: SipCredentials
  - name: SipPhoneNumbers
  - name: TextChat
  - name: TwilioProvider
  - name: Voice
  - name: WebhookTest
  - name: WebIntegrations
  - name: WebSocket
    description: WebSocket endpoints for real-time communication
paths:
  /api/v1/rag/misc/capabilities:
    get:
      tags:
        - Misc
      summary: Get capabilities of available models
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/CapabilitesDto'
            application/json:
              schema:
                $ref: '#/components/schemas/CapabilitesDto'
            text/json:
              schema:
                $ref: '#/components/schemas/CapabilitesDto'
        '404':
          description: Not Found
          content:
            text/plain:
              schema: {}
            application/json:
              schema: {}
            text/json:
              schema: {}
        '500':
          description: Internal Server Error
          content:
            text/plain:
              schema: {}
            application/json:
              schema: {}
            text/json:
              schema: {}
components:
  schemas:
    CapabilitesDto:
      type: object
      properties:
        embeddings:
          type: array
          items:
            $ref: '#/components/schemas/EmbeddingsDto'
          nullable: true
        rerankers:
          type: array
          items:
            $ref: '#/components/schemas/RerankerDto'
          nullable: true
      additionalProperties: false
    EmbeddingsDto:
      type: object
      properties:
        fullName:
          type: string
          nullable: true
      additionalProperties: false
    RerankerDto:
      required:
        - fullName
      type: object
      properties:
        fullName:
          minLength: 1
          type: string
      additionalProperties: false

````